﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;


public class GameManager : MonoBehaviour {
	public GameObject player;
	public enum gameStates {Playing, Death, GameOver};
	public gameStates gameState = gameStates.Playing;
	public GameObject mainCanvas;
	public Text textScoreMainCanvas;
	public GameObject gameOverCanvas;
	public Text textScoreGameOver;

	private isLive live; 

	void Start () {

		if (player == null) {
			player = GameObject.FindWithTag("Player");
		}
			
		live = player.GetComponent<isLive> ();
		gameState = gameStates.Playing;

		// Desactivamos el Canvas gameOver, just in case. 
		gameOverCanvas.SetActive (false);
	}

	void Update () {
		switch (gameState)
		{
		case gameStates.Playing:
				if (live.live == false)
					{
						gameState = gameStates.GameOver;
						mainCanvas.SetActive (false);
						gameOverCanvas.SetActive (true);
						
						textScoreGameOver.text = textScoreMainCanvas.text;
						
					} 

				break;


			case gameStates.GameOver:
				// nothing
				break;
		}

	}

}
