﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;


public class explosion : MonoBehaviour {
	public GameObject explosionObject; //Para que se pueda indicar la explosion a ejecutar. 
	private isLive live;
	private GameObject gm; 
	private GameManager gManager;

	void Start(){
		live = GetComponent<isLive> ();
		gm = GameObject.Find("GameManager");
		if (gm != null) {
			gManager = gm.GetComponent<GameManager>();
		}
	}
	void OnDestroy(){ //Esta funciona se llama cuando el objeto va a ser destruido. 

		if (explosionObject!=null && gManager.gameState == GameManager.gameStates.Playing) { //Comprobamos de que se ha informado la Explosion. 
			Instantiate (explosionObject, transform.position, Quaternion.identity); //Se ejecuta la explosion
		}
		if (live != null) {
			live.live = false;
		}

	}


}
